/*
 * BeanieBadge.c test program.
 *
 * Things to do that can save power.
 * Different LED driver bias resistor value. Currently 10K. Try 20K+.
 * LCD LED low intensity or off. Display, then make Propeller sleep.
 * RCFAST eats 4ma more than RCSLOW using USB power 20ma -vs- 16ma.
 * Use RCSLOW to handle button events?
 */
#include <stdio.h>
#include <propeller.h>
#include "GUI.h"
#include "UC1697a_LCD.h"

int main(void)
{
    // "comment string"

    /* ---------------------------------------------
     * "comment string"
     * startup the LCD and clear screen to background color.
     */
    LCD_start(&binary_LCD_dat_start);

    /* ---------------------------------------------
     * Make a panel
     */
    GUI_panel_parms(LCD_WHITEST_GRAY,3,15,LCD_MAXX-8,LCD_MAXY-21,0);
    GUI_3Dbutton("OK",LCD_MAXX-40,LCD_MAXY-35);

    for(;;) {
        int x, y;

        LCD_setBgColor(LCD_BLUE);
        LCD_setFgColor(LCD_YELLOW);
        LCD_printXY(" Beanie Badge 2 ",0,0);

        x = 4;
        y = 2;

#if 0
        buttons = GbButtons_buttons
        if oldbut <> buttons then
            oldbut = buttons
            BbLCD_setTextXY(x,y)
            BbLCD_bin(buttons,9)
        end if
#endif
        waitcnt(CLKFREQ/50+CNT);
    }
    return 0;
}