#ifndef _GBI2C_H_
#define _GBI2C_H_

int GbI2C_start(void);
void GbI2C_stop(void);
int GbI2C_accel_readReg(int maddr);
void GbI2C_accel_writeReg(int maddr, unsigned char mdata);
int GbI2C_adc_getVoltage100(void);
int GbI2C_adc_read(void);
void GbI2C_ee_readBuffer(int maddr, unsigned char *buffptr, int mlen);
void GbI2C_ee_writeBuffer(int maddr, unsigned char *buffptr, int mlen);
unsigned char GbI2C_ee_readByte(int maddr);
void GbI2C_ee_writeByte(int maddr, unsigned char value);
int GbI2C_rtc_getReg(int maddr);
void GbI2C_rtc_readRegs(void);
int GbI2C_rtc_readReg(int maddr);
void GbI2C_rtc_writeReg(int maddr, unsigned char mdata);
int GbButtons_buttons(void);
int GbButtons_abstate(void);
int GbButtons_direction(void);
int GbButtons_selectState(void);
int GbButtons_startState(void);
int GbButtons_enterState(void);

#endif

